
Name:          findbugs-maven-plugin
Version:       2.3.2
Release:       %mkrel 1
Summary:       FindBugs Maven Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/findbugs-maven-plugin/
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/findbugs-maven-plugin/2.3.2/findbugs-maven-plugin-2.3.2-source-release.zip

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: ant-findbugs >= 1.3.9-1
BuildRequires: findbugs >= 1.3.9-1
BuildRequires: findbugs-bcel >= 1.3.9-1
BuildRequires: groovy == 1.7.10
# jgoodies plastic 1.2.0
BuildRequires: jgoodies-looks >= 2.4.1-0.0.5
BuildRequires: netbeans-cvsclient
BuildRequires: jFormatString

BuildRequires: gmaven
BuildRequires: gmaven-runtime-1.5
BuildRequires: maven
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-doxia
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-doxia-tools
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-plugin
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-scm
BuildRequires: maven-scm-provider-svnjava
BuildRequires: maven-shared-reporting-api 
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin

BuildRequires: plexus-container-default
BuildRequires: plexus-resources
BuildRequires: plexus-utils

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
This Plug-In generates reports based on the FindBugs Library.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
FindBugs Maven Plugin.

This package contains javadoc for %{name}.

%prep
%setup -q -n findbugs-maven-plugin-%{version}
find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

#sed -i "s|<artifactId>groovy-all|<artifactId>groovy17-all|" pom.xml

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

# TODO add in depmap

mvn-jpp \
  install:install-file \
  -DgroupId=org.netbeans.lib \
  -DartifactId=cvsclient \
  -Dversion=20060125 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath netbeans-cvsclient) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  -e \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/findbugs-maven-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/findbugs-maven-plugin.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-findbugs-maven-plugin.pom
%add_maven_depmap JPP-findbugs-maven-plugin.pom findbugs-maven-plugin.jar

mkdir -p %{buildroot}%{_javadocdir}/findbugs-maven-plugin
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/findbugs-maven-plugin

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/findbugs-maven-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/findbugs-maven-plugin


%changelog

* Thu Oct 27 2011 dmorgan <dmorgan> 2.3.2-1.mga2
+ Revision: 158544
- Fix buildrequires

  + gil <gil>
    - removed BR bcel, this package requires a customized bcel library findbugs-bcel 1.3.9
    - correct BR version added BR gmaven-runtime-1.5
    - correct BR version added BR gmaven-runtime-1.5
    - imported package findbugs-maven-plugin

